Subject: bug#375: forward-word cmd finds beginning of next word

From: Stefan Monnier <[email-masked]>
Date: Sat, 07 Jun 2008 13:41:19 -0400

tag 375 +wontfix

> I have a feature request for GNU Emacs: In Emacs, when using the command
> forward-word, with the keyboard shortcut M-F, I understand that Emacs places
> point just after the end of the current word, pointing at the beginning of
> a non-letter sequence. And the command backward-word, with the keyboard
> shortcut M-B, places point at the beginning of the current word, or if it is
> already at the beginning of a word, it places point at the beginning of the
> previous word.

All possible variants have advantages and disadvantages.

The advantage of Emacs's behavior is that you can get to either end of
a word.  E.g. you can get the behavior you want if you do M-f M-f M-b
(tho this only works if you're not at the end of the buffer, obviously).

There's not much point changing the behavior to something else which is
not clearly better.  The argument that  it is "what people expect"
doesn't have much weight here, because the difference doesn't lead
to confusion.

        Stefan